> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Standard per protocol

> Returns a standard matching the given `slug`, containing supported actions, exact `inputs`, and a list of chains the standard's supported on.



## OpenAPI

````yaml /public/openapi.json get /api/v1/standards/{slug}
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/standards/{slug}:
    get:
      tags:
        - Integration
      summary: Standard per protocol
      description: >-
        Returns a standard matching the given `slug`, containing supported
        actions, exact `inputs`, and a list of chains the standard's supported
        on.
      operationId: StandardsController_getProtocolBySlug
      parameters:
        - name: slug
          required: true
          in: path
          description: The protocol slug
          schema:
            example: aave-v2
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Standard'
components:
  schemas:
    Standard:
      type: object
      properties:
        protocol:
          $ref: '#/components/schemas/Protocol'
        forks:
          type: array
          items:
            $ref: '#/components/schemas/Protocol'
        actions:
          type: array
          items:
            $ref: '#/components/schemas/StandardAction'
      required:
        - protocol
        - forks
        - actions
    Protocol:
      type: object
      properties:
        slug:
          type: string
        url:
          type: string
      required:
        - slug
        - url
    StandardAction:
      type: object
      properties:
        action:
          type: string
          enum:
            - approve
            - borrow
            - borrowwithpositionid
            - bridge
            - deposit
            - singledeposit
            - singledepositwithpositionid
            - multideposit
            - tokenizedsingledeposit
            - tokenizedmultideposit
            - multioutsingledeposit
            - depositclmm
            - harvest
            - permittransferfrom
            - redeem
            - singleredeem
            - singleredeemwithpositionid
            - multiredeem
            - tokenizedsingleredeem
            - tokenizedmultiredeem
            - redeemclmm
            - repay
            - repaywithpositionid
            - swap
            - transfer
            - transferfrom
            - route
            - call
            - split
            - merge
            - balance
            - minamountout
            - slippage
            - fee
            - ensofee
            - paymasterfee
        name:
          type: string
        functionNames:
          type: array
          items:
            type: string
        supportedChains:
          type: array
          items:
            $ref: '#/components/schemas/Network'
        inputs:
          type: array
          items:
            type: string
      required:
        - action
        - name
        - functionNames
        - supportedChains
        - inputs
    Network:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
      required:
        - id
        - name

````